#include <GL/glew.h>
#include <string>
#include <vector>
#include <fstream> // ifstream
#include <sstream> // stringstream
#include <iostream>

# ifndef NDEBUG
#define SHADERS_RESOURCES "../resources/shaders/"
#else
#define SHADERS_RESOURCES "resources/shaders/"
#endif
/**
 * Compile a shader:
 * 	- Shader should contains both vertex and fragment code
 * 	- Vertex code should begin with: // ----- Vertex Shader -----
 * 	- Fragment code should begin with: // ----- Fragment Shader -----
 * @param shader_path
 * @return The generated program id
 */
GLuint CompileShader(std::string shader_path);
